//
//  NSWorkspace-NisusAdditions.h
//  WriterMerged
//
//  Created by Martin on 2007.03.15.
//  Copyright 2007 Nisus Software, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <NisusCore/NisusCollection.h>


@interface NSWorkspace (NisusAdditions)

- (BOOL) openNisusURL:(NSURL*)url ;
- (BOOL) openNisusURL:(NSURL*)url relativeToBaseURL:(NSURL*)baseURL ;
- (BOOL) revealFileAtPath:(NSString*)path ;

- (BOOL) showPreferencePaneWithName:(NSString*)name ;

@end



@interface NSRunningApplication (NisusAdditions)

+ (instancetype) runningApplicationMatchingBundleIdentifiers:(id<NisusCollection>)idents excludeCurrentApp:(BOOL)isExcludeCurrentApp ;

@end
